com.abbyy.mobile.rtr

## Interface IDataCaptureProfileBuilder

-     public interface IDataCaptureProfileBuilder

  The builder interface for a custom data capture profile.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `IDataCaptureProfileBuilder.IFieldBuilder` The builder interface for a field
    `static interface` | `IDataCaptureProfileBuilder.ISchemeBuilder` The builder interface for a data capture scheme
    `static interface` | `IDataCaptureProfileBuilder.Predicate<T>`
    `static class` | `IDataCaptureProfileBuilder.ProfileCheckException` The exception to be thrown when profile is not valid

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDataCaptureProfileBuilder.ISchemeBuilder` | `addScheme(java.lang.String id)` Add a new scheme
    `void` | `checkAndApply()` Check and apply the new profile
    `IDataCaptureProfileBuilder` | `setRecognitionLanguage(Language... languages)` Set the recognition language
    `IDataCaptureProfileBuilder` | `setTextTypes(TextCapture.TextType... textTypes)` Sets the text types to be used for recognition.

- - ### Method Detail

    - #### setRecognitionLanguage

          IDataCaptureProfileBuilder setRecognitionLanguage(Language... languages)

      Set the recognition language
      Parameters:
        `languages` - is an array of recognition languages to set
      Returns:
        reference to self

    - #### setTextTypes

          IDataCaptureProfileBuilder setTextTypes(TextCapture.TextType... textTypes)

      Sets the text types to be used for recognition.

      By default, only the 'Normal' text type is set. This is sufficient in most cases. Setting the correct text type for your text could improve the accuracy of recognition. However, setting multiple text types may slow down the performance.

      Parameters:
        `textTypes` - one or more text types to be used for recognition

    - #### addScheme

          IDataCaptureProfileBuilder.ISchemeBuilder addScheme(java.lang.String id)

      Add a new scheme
      Parameters:
        `id` - is a string id for the new scheme
      Returns:
        the new scheme builder object

    - #### checkAndApply

          void checkAndApply()
                      throws IDataCaptureProfileBuilder.ProfileCheckException

      Check and apply the new profile
      Throws:
        `IDataCaptureProfileBuilder.ProfileCheckException`